import * as riot from 'riot'
import Datepicker from './datepicker.riot'
import store from './store.js'

riot.register('tiny-datepicker', Datepicker)

import dayjs from 'dayjs'

window.riot = riot

document.addEventListener("DOMContentLoaded", (event) => { 

    const console = document.querySelector('.console')

    store.on('change', (data) => {
        const element = document.createElement('div')

        element.append('Event => Change, ' + data.date.format('YYYY-MM-DD'))
        console.append(element)
    })
})
